package org.apache.xindice.client.corba.db;

//
// Interface definition : CollectionManager
//
// @author OpenORB Compiler
//
public abstract class CollectionManagerPOA extends org.omg.PortableServer.Servant
		implements CollectionManagerOperations, org.omg.CORBA.portable.InvokeHandler
{
	public CollectionManager _this()
	{
		return CollectionManagerHelper.narrow(_this_object());
	}

	public CollectionManager _this( org.omg.CORBA.ORB orb )
	{
		return CollectionManagerHelper.narrow(_this_object(orb));
	}

	private static String [] _ids_list =
	{
		"IDL:org/apache/xindice/client/corba/db/CollectionManager:1.0", 
		"IDL:org/apache/xindice/client/corba/db/ServantManagement:1.0"
	};

	public String[] _all_interfaces( org.omg.PortableServer.POA poa, byte [] objectId)
	{
		return _ids_list;
	}

	private static java.util.Hashtable _ops_Hash = new java.util.Hashtable();
	static {
		_ops_Hash.put("getName", new Integer(0) );
		_ops_Hash.put("getCanonicalName", new Integer(4) );
		_ops_Hash.put("createCollection", new Integer(8) );
		_ops_Hash.put("dropCollection", new Integer(12) );
		_ops_Hash.put("listIndexers", new Integer(16) );
		_ops_Hash.put("createIndexer", new Integer(20) );
		_ops_Hash.put("dropIndexer", new Integer(24) );
		_ops_Hash.put("listXMLObjects", new Integer(28) );
		_ops_Hash.put("createXMLObject", new Integer(32) );
		_ops_Hash.put("dropXMLObject", new Integer(36) );
		_ops_Hash.put("remove", new Integer(40) );
	};

	public org.omg.CORBA.portable.OutputStream _invoke ( String opName,
	                                                     org.omg.CORBA.portable.InputStream _is,
	                                                     org.omg.CORBA.portable.ResponseHandler handler)
	{
		org.omg.CORBA.portable.OutputStream _output = null;

		Integer opidx = (Integer)_ops_Hash.get(opName);
		if(opidx == null)
			throw new org.omg.CORBA.BAD_OPERATION();

		switch(opidx.intValue()) {
		case 0:
		{

			try
			{
				String _arg_result = getName();

				_output = handler.createReply();
				_output.write_string(_arg_result);

			}
			catch ( org.apache.xindice.client.corba.db.APIException _exception )
			{
				_output = handler.createExceptionReply();
				org.apache.xindice.client.corba.db.APIExceptionHelper.write(_output,_exception);
			}
			return _output;
		}
		case 4:
		{

			try
			{
				String _arg_result = getCanonicalName();

				_output = handler.createReply();
				_output.write_string(_arg_result);

			}
			catch ( org.apache.xindice.client.corba.db.APIException _exception )
			{
				_output = handler.createExceptionReply();
				org.apache.xindice.client.corba.db.APIExceptionHelper.write(_output,_exception);
			}
			return _output;
		}
		case 8:
		{
			String arg0_in = org.apache.xindice.client.corba.db.NameHelper.read(_is);
			org.apache.xindice.client.corba.db.EncodedBuffer arg1_in = org.apache.xindice.client.corba.db.EncodedBufferHelper.read(_is);

			try
			{
				org.apache.xindice.client.corba.db.Collection _arg_result = createCollection(arg0_in, arg1_in);

				_output = handler.createReply();
				org.apache.xindice.client.corba.db.CollectionHelper.write(_output,_arg_result);

			}
			catch ( org.apache.xindice.client.corba.db.APIException _exception )
			{
				_output = handler.createExceptionReply();
				org.apache.xindice.client.corba.db.APIExceptionHelper.write(_output,_exception);
			}
			return _output;
		}
		case 12:
		{
			String arg0_in = org.apache.xindice.client.corba.db.NameHelper.read(_is);

			try
			{
				dropCollection(arg0_in);

				_output = handler.createReply();

			}
			catch ( org.apache.xindice.client.corba.db.APIException _exception )
			{
				_output = handler.createExceptionReply();
				org.apache.xindice.client.corba.db.APIExceptionHelper.write(_output,_exception);
			}
			return _output;
		}
		case 16:
		{

			try
			{
				String[] _arg_result = listIndexers();

				_output = handler.createReply();
				org.apache.xindice.client.corba.db.NamesHelper.write(_output,_arg_result);

			}
			catch ( org.apache.xindice.client.corba.db.APIException _exception )
			{
				_output = handler.createExceptionReply();
				org.apache.xindice.client.corba.db.APIExceptionHelper.write(_output,_exception);
			}
			return _output;
		}
		case 20:
		{
			org.apache.xindice.client.corba.db.EncodedBuffer arg0_in = org.apache.xindice.client.corba.db.EncodedBufferHelper.read(_is);

			try
			{
				createIndexer(arg0_in);

				_output = handler.createReply();

			}
			catch ( org.apache.xindice.client.corba.db.APIException _exception )
			{
				_output = handler.createExceptionReply();
				org.apache.xindice.client.corba.db.APIExceptionHelper.write(_output,_exception);
			}
			return _output;
		}
		case 24:
		{
			String arg0_in = org.apache.xindice.client.corba.db.NameHelper.read(_is);

			try
			{
				dropIndexer(arg0_in);

				_output = handler.createReply();

			}
			catch ( org.apache.xindice.client.corba.db.APIException _exception )
			{
				_output = handler.createExceptionReply();
				org.apache.xindice.client.corba.db.APIExceptionHelper.write(_output,_exception);
			}
			return _output;
		}
		case 28:
		{

			try
			{
				String[] _arg_result = listXMLObjects();

				_output = handler.createReply();
				org.apache.xindice.client.corba.db.NamesHelper.write(_output,_arg_result);

			}
			catch ( org.apache.xindice.client.corba.db.APIException _exception )
			{
				_output = handler.createExceptionReply();
				org.apache.xindice.client.corba.db.APIExceptionHelper.write(_output,_exception);
			}
			return _output;
		}
		case 32:
		{
			org.apache.xindice.client.corba.db.EncodedBuffer arg0_in = org.apache.xindice.client.corba.db.EncodedBufferHelper.read(_is);

			try
			{
				createXMLObject(arg0_in);

				_output = handler.createReply();

			}
			catch ( org.apache.xindice.client.corba.db.APIException _exception )
			{
				_output = handler.createExceptionReply();
				org.apache.xindice.client.corba.db.APIExceptionHelper.write(_output,_exception);
			}
			return _output;
		}
		case 36:
		{
			String arg0_in = org.apache.xindice.client.corba.db.NameHelper.read(_is);

			try
			{
				dropXMLObject(arg0_in);

				_output = handler.createReply();

			}
			catch ( org.apache.xindice.client.corba.db.APIException _exception )
			{
				_output = handler.createExceptionReply();
				org.apache.xindice.client.corba.db.APIExceptionHelper.write(_output,_exception);
			}
			return _output;
		}
		case 40:
		{

			remove();

			_output = handler.createReply();

			return _output;
		}
		}

		// never reached
		throw new org.omg.CORBA.INTERNAL();
	}
}
