package org.apache.xindice.client.corba.db;

//
// Interface definition : CollectionManager
//
// @author OpenORB Compiler
//
public class CollectionManagerPOATie extends CollectionManagerPOA
{

	//
	// Private reference to implementation object
	//
	private CollectionManagerOperations _tie;

	//
	// Private reference to POA
	//
	private org.omg.PortableServer.POA _poa;

	//
	// Constructor
	//
	public CollectionManagerPOATie( CollectionManagerOperations tieObject )
	{
		_tie = tieObject;
	}

	//
	// Constructor
	//
	public CollectionManagerPOATie( CollectionManagerOperations tieObject, org.omg.PortableServer.POA poa )
	{
		_tie = tieObject;
		_poa = poa;
	}

	//
	// Get the delegate
	//
	public CollectionManagerOperations _delegate()
	{
		return _tie;
	}

	//
	// Set the delegate
	//
	public void _delegate( CollectionManagerOperations delegate_)
	{
		_tie = delegate_;
	}

	//
	//
	//
	public org.omg.PortableServer.POA _default_POA()
	{
		if ( _poa != null )
		    return _poa;
		else
		    return super._default_POA();
	}

	//
	// Operation getName
	//
	public String getName()
		throws org.apache.xindice.client.corba.db.APIException
	{
		return _tie.getName();
	}

	//
	// Operation getCanonicalName
	//
	public String getCanonicalName()
		throws org.apache.xindice.client.corba.db.APIException
	{
		return _tie.getCanonicalName();
	}

	//
	// Operation createCollection
	//
	public org.apache.xindice.client.corba.db.Collection createCollection(String path, org.apache.xindice.client.corba.db.EncodedBuffer config)
		throws org.apache.xindice.client.corba.db.APIException
	{
		return _tie.createCollection( path,  config);
	}

	//
	// Operation dropCollection
	//
	public void dropCollection(String path)
		throws org.apache.xindice.client.corba.db.APIException
	{
		_tie.dropCollection( path);
	}

	//
	// Operation listIndexers
	//
	public String[] listIndexers()
		throws org.apache.xindice.client.corba.db.APIException
	{
		return _tie.listIndexers();
	}

	//
	// Operation createIndexer
	//
	public void createIndexer(org.apache.xindice.client.corba.db.EncodedBuffer config)
		throws org.apache.xindice.client.corba.db.APIException
	{
		_tie.createIndexer( config);
	}

	//
	// Operation dropIndexer
	//
	public void dropIndexer(String nam)
		throws org.apache.xindice.client.corba.db.APIException
	{
		_tie.dropIndexer( nam);
	}

	//
	// Operation listXMLObjects
	//
	public String[] listXMLObjects()
		throws org.apache.xindice.client.corba.db.APIException
	{
		return _tie.listXMLObjects();
	}

	//
	// Operation createXMLObject
	//
	public void createXMLObject(org.apache.xindice.client.corba.db.EncodedBuffer config)
		throws org.apache.xindice.client.corba.db.APIException
	{
		_tie.createXMLObject( config);
	}

	//
	// Operation dropXMLObject
	//
	public void dropXMLObject(String nam)
		throws org.apache.xindice.client.corba.db.APIException
	{
		_tie.dropXMLObject( nam);
	}

	//
	// Operation remove
	//
	public void remove()
	{
		_tie.remove();
	}

}
